List Repositories Starred by User
GET/api/v5/users/:username/starred
Request
Path Parameters
username stringrequired
Query Parameters
access_token string
User authorization code
sort string
created/last_push Sort by repository creation time (created) or last push time (updated), default: creation time
direction string
sort direction, default: desc
page integer
The current page number
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
idRepository ID (integer)
full_namefull repository path (string)
human_nameFull warehouse name (string)
urlRepository details access URL (string)
namespace object
idinteger
typestring
namestring
pathstring
html_urlstring
pathRepository path (string)
nameRepository name (string)
parentfull_nameParent repository name (string)
descriptionRepository description (string)
statusWarehouse status, 0: Start (indicating the warehouse is not archived), 2: Closed (indicating the warehouse is archived) (string)
ssh_url_to_reporepository ssh git address (string)
http_url_to_repoLibrary HTTP Git URL (string)
web_urlRepository web access URL (string)
created_atcreation time (string)
updated_atUpdate time (string)
homepageRepository homepage (string)
membersstring[]
parent object
full_namestring
human_namestring
forks_countfork count (integer)
stargazers_countstar count (integer)
relationcurrent user's role in relation to the repository (string)
permission object
pullinteger
pushinteger
admininteger
internalinternal open source (integer)
open_issues_countThe number of open issues (integer)
has_issueinteger
has_issuesWhether to enable issue feature (integer)
watchers_countwatch count (integer)
enterprise object
idinteger
pathstring
html_urlstring
typestring
default_branchDefault branch (string)
forkWhether to fork the repository (integer)
pushed_atThe most recent code push time (string)
owner object
idstring
loginstring
namestring
typestring
issue_template_sourceIssue template source project: Use repository issue templates as the template; enterprise: Use corporate work items as the template (string)
project_creatorRepository creator (string)
privateprivate repository flag (integer)
publicIsRepositoryPublic (integer)
[
{
"id": 0,
"full_name": "string",
"human_name": "string",
"url": "string",
"namespace": {
"id": 0,
"type": "string",
"name": "string",
"path": "string",
"html_url": "string"
},
"path": "string",
"name": "string",
"parentfull_name": "string",
"description": "string",
"status": "string",
"ssh_url_to_repo": "string",
"http_url_to_repo": "string",
"web_url": "string",
"created_at": "string",
"updated_at": "string",
"homepage": "string",
"members": [
"string"
],
"parent": {
"full_name": "string",
"human_name": "string"
},
"forks_count": 0,
"stargazers_count": 0,
"relation": "string",
"permission": {
"pull": 0,
"push": 0,
"admin": 0
},
"internal": 0,
"open_issues_count": 0,
"has_issue": 0,
"has_issues": 0,
"watchers_count": 0,
"enterprise": {
"id": 0,
"path": "string",
"html_url": "string",
"type": "string"
},
"default_branch": "string",
"fork": 0,
"pushed_at": "string",
"owner": {
"id": "string",
"login": "string",
"name": "string",
"type": "string"
},
"issue_template_source": "string",
"project_creator": "string",
"private": 0,
"public": 0
}
]
{
"id": 777621,
"full_name": "xiaogang/private-new2",
"human_name": "xiaogang / private-new2",
"url": "https://api.gitcode.com/api/v5/repos/xiaogang/private-new2",
"namespace": {
"id": 137117,
"type": "user",
"name": "xiaogang",
"path": "xiaogang",
"html_url": "https://gitcode.com/xiaogang"
},
"path": "private-new2",
"name": "private-new2",
"parentfull_name": "xiaogang_test/private-new",
"description": "Trump",
"status": "start",
"ssh_url_to_repo": "ssh://git@gitcode.com:2222/xiaogang/private-new2.git",
"http_url_to_repo": "https://gitcode.com/xiaogang/private-new2.git",
"web_url": "https://gitcode.com/xiaogang/private-new2",
"created_at": "2024-12-11T17:41:14.536+08:00",
"updated_at": "2024-12-11T17:41:14.536+08:00",
"homepage": "https://gitcode.com/xiaogang/private-new2",
"members": [
"xiaogang"
],
"parent": {
"full_name": "xiaogang_test/private-new",
"human_name": "xiaogang_test / private-new"
},
"forks_count": 0,
"stargazers_count": 1,
"relation": "master",
"permission": {
"pull": true,
"push": true,
"admin": true
},
"internal": false,
"open_issues_count": 0,
"has_issue": false,
"has_issues": false,
"watchers_count": 0,
"enterprise": {
"id": 137117,
"path": "xiaogang",
"html_url": "https://gitcode.com/xiaogang",
"type": "user"
},
"default_branch": "main",
"fork": true,
"pushed_at": "2024-12-20T19:14:34.979+08:00",
"owner": {
"id": "496",
"login": "xiaogang",
"name": "Xiao Gang",
"type": "User"
},
"issue_template_source": "project",
"project_creator": "xiaogang",
"private": false,
"public": true
}